<?php

namespace ModulesGarden\ProxmoxAddon\App\UI\IpLog\Forms;

use ModulesGarden\ProxmoxAddon\App\UI\IpLog\Providers\IpLogProvider;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\BaseForm;

/**
 * Description of CreateForm
 *
 * @author Pawel Kopec <pawelk@modulesgarden.com>
 */
class DeleteMassForm extends BaseForm implements AdminArea
{

    public function initContent()
    {
        $this->initIds('deleteMassForm');
        $this->setFormType('deleteMass');
        $this->setProvider(new IpLogProvider);
        $this->initFields();
    }

    protected function initFields()
    {
        $this->setConfirmMessage('confirmDeleteMass', ['title' => null]);
    }

    protected function getDefaultActions()
    {
        return ['deleteMass'];
    }
}
